Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions
AbstractDs Class Referenceabstract

`#include <c++/src/H5AbstractDs.h>`

## Detailed Description

AbstractDs is an abstract base class, inherited by Attribute and DataSet.

It provides a collection of services that are common to both Attribute and DataSet.

Inheritance diagram for AbstractDs:

## Public Member Functions
virtual H5std_string | fromClass () const =0
ArrayType | getArrayType () const
CompType | getCompType () const
DataType | getDataType () const
EnumType | getEnumType () const
FloatType | getFloatType () const
virtual size_t | getInMemDataSize () const =0
| Gets the size in memory of this abstract dataset.
IntType | getIntType () const
virtual DataSpace | getSpace () const =0
| Gets the dataspace of this abstract dataset - pure virtual.
virtual hsize_t | getStorageSize () const =0
| Returns the amount of storage size required - pure virtual.
StrType | getStrType () const
H5T_class_t | getTypeClass () const
VarLenType | getVarLenType () const
virtual | ~AbstractDs ()=default

## Protected Member Functions
| AbstractDs ()

## Constructor & Destructor Documentation

## ◆ ~AbstractDs()

virtual ~AbstractDs | ( |  | ) |
| virtual default

## ◆ AbstractDs()

AbstractDs | ( |  | ) |
| protected

## Member Function Documentation

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| pure virtual

Implemented in Attribute, and DataSet.

## ◆ getArrayType()

ArrayType getArrayType | ( |  | ) | const

## ◆ getCompType()

CompType getCompType | ( |  | ) | const

## ◆ getDataType()

DataType getDataType | ( |  | ) | const

## ◆ getEnumType()

EnumType getEnumType | ( |  | ) | const

## ◆ getFloatType()

FloatType getFloatType | ( |  | ) | const

## ◆ getInMemDataSize()

virtual size_t getInMemDataSize | ( |  | ) | const
| pure virtual

Gets the size in memory of this abstract dataset.

Implemented in Attribute, and DataSet.

## ◆ getIntType()

IntType getIntType | ( |  | ) | const

## ◆ getSpace()

virtual DataSpace getSpace | ( |  | ) | const
| pure virtual

Gets the dataspace of this abstract dataset - pure virtual.

Implemented in Attribute, and DataSet.

## ◆ getStorageSize()

virtual hsize_t getStorageSize | ( |  | ) | const
| pure virtual

Returns the amount of storage size required - pure virtual.

Implemented in Attribute, and DataSet.

## ◆ getStrType()

StrType getStrType | ( |  | ) | const

## ◆ getTypeClass()

H5T_class_t getTypeClass | ( |  | ) | const

## ◆ getVarLenType()

VarLenType getVarLenType | ( |  | ) | const

The documentation for this class was generated from the following file:

- c++/src/H5AbstractDs.h